# Static Traefik configuration (production)
entryPoints:
  web:
    address: ":80"
  websecure:
    address: ":443"
    transport:
      respondingTimeouts:
        readTimeout: 30m
api:
  dashboard: true

providers:
  docker:
    endpoint: "unix:///var/run/docker.sock"
    exposedByDefault: false
    network: "apa-frontend"
  file:
    filename: "/etc/traefik/traefik-dynamic.yml"
    watch: true

# -- Configure your CertificateResolver here...
certificatesResolvers:
  godaddy:
    acme:
      email: info@harkon.co.uk
      storage: /var/traefik/certs/godaddy-acme.json
      caServer: "https://acme-v02.api.letsencrypt.org/directory"
      dnsChallenge:
        provider: godaddy
        resolvers:
          - 1.1.1.1:53
          - 8.8.8.8:53
          - 97.74.103.44:53
          - 173.201.71.44:53
